Qt API | Qtopia API | Qtopia Documentation |

# Konsole Class Reference

The Konsole class is the top-level widget for the Terminal application. More...

`#include <konsole.h>`

Inherits QMainWindow.

List of all member functions.

## Public Members

- Konsole ( QWidget * parent = 0, const char * name = 0, WFlags fl = 0 )
- Konsole ( const char * name, const char * pgm, QStrList & _args, int histon )
- ~Konsole ()
- void setColLin ( int columns, int lines )
- virtual void show ()
- void setColor ()

## Detailed Description

The Konsole class is the top-level widget for the Terminal application.

The Terminal allows command-line access to the system and is used for development and debugging activities.

The Terminal (embeddedkonsole) is based on the KDE Konsole application and is distributed under the terms of the GNU General Public License. A primary copyright holder of the code is Lars Doelle <lars.doelle@on-line.de>.

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.